<!doctype html>

<html lang="en">

<head>
	<meta charset="utf-8" />
	<title>Tango2Epics Tango</title>
	
	<link rel="stylesheet" href="index.css"/>
</head>

<body>
	<div id="wrapper_all">
	
		<div id="topMenu">
			<table width="100%" border="1">
				<thead>
					<tr><td colspan="5">Tango2Epics Tango Device</td></tr>
				</thead>
				<tbody>
					<tr>
						<td><a href="./index.html">Description</a></td>
						<td><a href="./properties.html">Properties</a></td>
						<td><a href="./Commands.html">Commands</a></td>
						<td><a href="./Attributes.html">Attributes</a></td>
						<td><a href="./States.html">States</a></td>
					</tr>
				</tbody>
			</table>
		</div>
		
		<div id="topDiv">
			<div id="topLeftDiv">
			<table id="ClassID" border="1">
				<thead>
					<tr>
						<td colspan="2">Tango2Epics Class Identification</td>
					</tr>
				</thead>
				
				<tbody>
					<tr>
						<td>Class:</td>
						<td>Tango2Epics</td>
					</tr>
					<tr>
						<td>Revision:</td>
						<td></td>
					</tr>
					<tr>
						<td>Language:</td>
						<td>Cpp</td>
					</tr>
					<tr>
						<td>OS:</td>
						<td>Linux</td>
					</tr>
					<tr>
						<td>Last Changes:</td>
						<td></td>
					</tr>
					<tr>
						<td>Author:</td>
						<td>Vid Juvan</td>
					</tr>
					<tr>
						<td>Company:</td>
						<td>CosyLab d.d.</td>
					</tr>
				</tbody>
			</table>
			</div>
			
			<div id="topRightDiv">
			<table id="ClassInh" border="1">
				<thead>
					<tr>
						<td>Tango2Epics Class Inheritance</td>
					</tr>
				</thead>
				
				<tbody>
					<tr>
						<td>
						<ul>
							<li><a href="http://www.esrf.eu/computing/cs/tango/tango_doc/kernel_doc/cpp_doc/classTango_1_1DeviceImpl.html">Tango::DeviceImpl</a></li>
							<ul>
								<li>Tango2Epics</li>
							</ul>
						</ul>
						</td>
					</tr>
				</tbody>
			</table>
			</div>
		</div>
		
		<div id="middleDiv">
			<table id="ClassCode" border="1">
				<tbody>
					<tr>
						<td>Source Code:</td>
						<td><a href="https://sourceforge.net/p/tango-ds/code/HEAD/tree/DeviceClasses/Communication/Tango2Epics">Here</a></td>
					</tr>
				</tbody>
			</table>
			
			<table id="ClassDesc" border="1">
				<thead>
					<tr>
						<td>Tango2Epics Class Description</td>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><br>
						A device can be integrated in Tango control system by developing a specific Tango device server software for the device.
						In situations when the Tango device server software is not available for the device, but software support for the EPICS
						control system is available instead, it is possible to use the Tango2Epics Tango device server to expose the device in Tango
						system. It serves as a bridge, in form of a Tango device, to EPICS control system.
						Tango2Epics device exposes the existing EPICS Process Variables (PVs) of the device in form of Tango device attributes, states,
						and emulates a preconfigured set of Tango device commands by using the appropriate EPICS PVs.
						By using the Tango2Epics Tango device, integration can be achieved through configuration only, with no development required.
						More information can be found in the user manual, located <a href="http://sourceforge.net/p/tango-ds/code/HEAD/tree/DeviceClasses/Communication/Tango2Epics/trunk/doc/Tango2EpicsGateway.pdf">here</a>.
						<br><br></td>
					</tr>
				</tbody>
			</table>
		</div>
		
	</div>
</body>

</html>